Page MenuHomePhabricator

All edits are tagged as "advanced mobile edit" when wgMFAdvancedMobileContributions is true
Closed, ResolvedPublic

Description

At least on itwiki, since a few days we noticed that all edits are tagged as advanced mobile edits. See for instance the last 500 RC entries: ctrl+f says there are 473 "advanced mobile edit" matches.
Needless to say, this is super-confusing for people, especially if they see their contributions tagged as mobile while they contribute from desktop.

I looked at the code, and while grepping doesn't help much, I see that the tag is applied where one would expect it, i.e. in the RecentChange_save hook handler, here. Looking at the method which decides whether the edit should be tagged, the docs suggest that it only checks whether AMC is enabled for the current user, and not whether the current edit is also an AMC edit (and the same goes for UserMode::isEnabled).

Event Timeline

Daimona created this task.Aug 3 2019, 9:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2019, 9:15 AM
Titore added a subscriber: Titore.Aug 3 2019, 9:20 AM
MarcoAurelio triaged this task as Unbreak Now! priority.Aug 3 2019, 5:40 PM

Mirroring settings from T229727. Multiple projects (itwiki, jawiki, eswiki so far). Unwanted behaviour. Very annoying and potentially messing up with stats being measured with the tag.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptAug 3 2019, 5:41 PM

Change 527851 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Revert "[AMC] [desktop] [mobile] use AMC by default for desktop users"

https://gerrit.wikimedia.org/r/527851

Jdlrobson renamed this task from All edits are tagged as "advanced mobile edit" to All edits are tagged as "advanced mobile edit" when wgMFAdvancedMobileContributions is true.Aug 3 2019, 5:47 PM

Change 527852 had a related patch set uploaded (by Daimona Eaytoy; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@wmf/1.34.0-wmf.16] Revert "[AMC] [desktop] [mobile] use AMC by default for desktop users"

https://gerrit.wikimedia.org/r/527852

Change 527851 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Revert "[AMC] [desktop] [mobile] use AMC by default for desktop users"

https://gerrit.wikimedia.org/r/527851

Will SWAT it during EU SWAT window.

Change 527852 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@wmf/1.34.0-wmf.16] Revert "[AMC] [desktop] [mobile] use AMC by default for desktop users"

https://gerrit.wikimedia.org/r/527852

Mentioned in SAL (#wikimedia-operations) [2019-08-05T11:38:52Z] <urbanecm@deploy1001> Synchronized php-1.34.0-wmf.16/extensions/MobileFrontend/: SWAT: b7ae4fb: Revert "[AMC] [desktop] [mobile] use AMC by default for desktop users" (T229722) (duration: 00m 49s)

pmiazga removed pmiazga as the assignee of this task.Aug 5 2019, 11:53 AM
Jdlrobson lowered the priority of this task from Unbreak Now! to High.Aug 5 2019, 2:37 PM
Jdlrobson added subscribers: Urbanecm, Jdlrobson.

Thank you @Urbanecm and @raynor for taking care of this!

Thanks - the issue in jawiki appears to be fixed now.

Happy to help!

Jdlrobson closed this task as Resolved.Aug 5 2019, 4:01 PM
Jdlrobson claimed this task.

This is now fixed on all wikis.